> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> Returns a paginated list of documents in a project

```
GET /openapi/memorylake/api/v1/projects/{id}/documents
```

Returns a paginated list of documents associated with the project.

<Note>
  **Permission required:** [`project:doc_list`](/features/team-collaboration/permission-reference#see-the-files-tab) · `instance`
</Note>

### Path Parameters

<ParamField path="id" type="string" required>
  Project ID
</ParamField>

### Query Parameters

<ParamField query="page" type="integer" default="1">
  Page number (1-based)
</ParamField>

<ParamField query="size" type="integer" default="20">
  Page size (max 100)
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/documents?page=1&size=20' \
    -H 'Authorization: Bearer sk_xxxxxx'
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  <Expandable title="Paginated document list">
    <ResponseField name="items" type="array">
      Array of document objects

      <Expandable title="Document object">
        <ResponseField name="id" type="string">Document ID</ResponseField>
        <ResponseField name="name" type="string">File name</ResponseField>
        <ResponseField name="status" type="string">Processing status: `pending`, `running`, `okay`, or `error`</ResponseField>
        <ResponseField name="drive_item_id" type="string">Drive item identifier</ResponseField>
        <ResponseField name="created_at" type="string">Creation timestamp</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="total" type="integer">Total number of documents</ResponseField>
    <ResponseField name="page" type="integer">Current page number</ResponseField>
    <ResponseField name="size" type="integer">Page size</ResponseField>
    <ResponseField name="total_pages" type="integer">Total number of pages</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {
      "items": [
        {
          "id": "doc-8f86f326d4eb4f7a88cc51c5774cae56",
          "name": "report.pdf",
          "status": "okay",
          "drive_item_id": "sc-4d2beb72e9af4b01:inode-926ead7cac284666",
          "created_at": "2024-01-15T10:30:00Z"
        }
      ],
      "total": 1,
      "page": 1,
      "size": 20,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
